Subject: Re: bug#49265: [External] : bug#49265: 28.0.50; repeat mode feature request

From: Robert Pluim <[email-masked]>
Date: Wed, 30 Jun 2021 11:50:43 +0200

>>>>> On Tue, 29 Jun 2021 21:28:44 +0000, Drew Adams <[email-masked]> said:

    >> > I thought the question was whether Emacs automatically,
    >> > or already in some way, provides some a way of
    >> > determining (e.g. using Lisp code) whether a given
    >> > command is repeatable (i.e., by just holding down a key
    >> > that it's bound to).
    >> >
    >> > If that's the question then I think the answer is no.
    >> > (Is that right?)
    >> 
    >> The request was to create a new command that lists all
    >> repeatable commands and keymaps.

    Drew> Which amounts to the same thing: determining whether
    Drew> a given command is repeatable.  I don't think Emacs has
    Drew> a way of determining that.  (It would even seem to be
    Drew> undecidable...)

(mapatoms (lambda (sym)
            (and (commandp sym)
                 (get sym 'repeat-map)
                 (message "repeatable %s" sym))))

gets you the potentially repeatable commands. Whether theyʼre actually
repeatable depends on whether 'repeat-mode' is active.

    Drew> (Though I don't know what you might mean by "and keymaps".
    Drew> Repeatable keymaps?)

Bindings to repeatable commands maybe?

Robert
--